Results 1 to 6 of 6

Thread: application menu "error during charging of file QML: file" and doesn't show anything

  1. #1

    Default application menu "error during charging of file QML: file" and doesn't show anything

    on leap 42.2 with KDE 5.8
    after an update the kickoff menu does't show anything and gives me this error
    Code:
    Errore durante il caricamento del file QML: file:///usr/share/plasma/plasmoids/org.kde.plasma.kicker/contents/ui/main.qml:27:1: plugin cannot be loaded for module "org.kde.plasma.private.kicker": Cannot load library /usr/lib64/qt5/qml/org/kde/plasma/private/kicker/libkickerplugin.so: (/usr/lib64/libAppStreamQt.so.2: undefined symbol: as_pool_get_flags)
    translating the first italian part should be like:
    error during charging of file QML: file .......
    I tried also to change in application launcher but without success

    how can I have back my kickoff menu'??

  2. #2

    Default Re: application menu "error during charging of file QML: file" and doesn't show anything

    You are using additional repos, right?

    Plasma has been upgraded to 5.9 beta today, maybe you updated when there was still some inconsistency.
    Try to update again, and/or wait until everything has settled down.

    PS: your crash seems to be related to libAppStreamQt, so make sure you have the latest one installed (libAppStreamQt2-0.10.5 from KDE:Frameworks5, and also libappstream4-0.10.5).

    PPS: Especially when having problems like this it's vitally important to know what repos are used to be able to help.
    So please tell that next time right from the start, even before somebody asks...
    Last edited by wolfi323; 14-Jan-2017 at 08:05.

  3. #3

    Default Re: application menu "error during charging of file QML: file" and doesn't show anything

    Quote Originally Posted by wolfi323 View Post
    You are using additional repos, right?

    Plasma has been upgraded to 5.9 beta today, maybe you updated when there was still some inconsistency.
    Try to update again, and/or wait until everything has settled down.

    PS: your crash seems to be related to libAppStreamQt, so make sure you have the latest one installed (libAppStreamQt2-0.10.5 from KDE:Frameworks5, and also libappstream4-0.10.5).

    PPS: Especially when having problems like this it's vitally important to know what repos are used to be able to help.
    So please tell that next time right from the start, even before somebody asks...
    manythanks , it's my son's laptop, ...installing libappstream4-0.10.5 it works now !!
    updating this conflicts popup:
    Code:
    #### YaST2 conflicts list - generated 2017-01-14 16:58:47 ####
    
    kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64 requires libkwineffects.so.9()(64bit), but this requirement cannot be provided
    deleted providers: kwin5-5.8.5-172.1.x86_64
    uninstallable providers: kwin5-5.8.2-1.1.x86_64[download.opensuse.org-oss]
                       kwin5-5.8.3-4.1.x86_64[download.opensuse.org-oss_1]
        [ ] Following actions will be done:
    do not install kwin5-5.8.95-174.1.x86_64
    do not install plasma5-session-5.8.95-92.1.noarch
        [ ] deinstallation of kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64
    
        [ ] break kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64 by ignoring some of its dependencies
    
    
    
    kwin5-lang-5.8.95-174.1.noarch requires kwin5 = 5.8.95, but this requirement cannot be provided
    uninstallable providers: kwin5-5.8.95-174.1.x86_64[KDE:/Frameworks5]
        [ ] Following actions will be done:
    do not install kwin5-lang-5.8.95-174.1.noarch
    do not install plasma5-session-5.8.95-92.1.noarch
        [ ] install libxkbcommon0-0.7.0-40.1.x86_64 (with vendor change)
      openSUSE  -->  obs://build.opensuse.org/KDE
    
        [ ] break kwin5-lang-5.8.95-174.1.noarch by ignoring some of its dependencies
    
    
    
    
    #### YaST2 conflicts list END ###
    and my repos are these:
    Code:
    eros@eros3-ST:~> zypper repos -d 
    Repository priorities in effect:                                                                                                                                                                                                            (See 'zypper lr -P' for details)
          90 (raised priority)  :  1 repository  
          99 (default priority) : 23 repositories
    
    #  | Alias                           | Nome                                      | Abilitato | Controllo GPG | Aggiornamento | Priorità | Tipo   | URI                                                                                                      | Servizio
    ---+---------------------------------+-------------------------------------------+-----------+---------------+---------------+----------+--------+----------------------------------------------------------------------------------------------------------+---------
     1 | Emulators:/Wine                 | repositories/Emulators:/Wine/             | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.2/                            |         
     2 | GNOME:/Apps                     | repositories/GNOME:/Apps                  | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_42.2/                                |         
     3 | Google                          | Google (chrome)                           | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                      |         
     4 | KDE:/Frameworks5                | KDE:/Frameworks5/openSUSE_Leap_42.2       | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_42.2/                           |         
     5 | KDE:/Qt5                        | KDE:/Qt5/openSUSE_Leap_42.2               | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_42.2/                                   |         
     6 | KDE:Extra                       | KDE:Extra                                 | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.2/                                 |         
     7 | Libdvdcss                       | Libdvdcss Repository                      | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/                                                       |         
     8 | Packman_1                       | Packman Repository1                       | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_42.2/                                            |         
     9 | Packman_2                       | Packman repository2                       | No        | ----          | ----          |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.2/                                                         |         
    10 | Printing                        | repositories/Printing (hplip cups)        | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/Printing/openSUSE_Leap_42.2/                                   |         
    11 | X11:/Bumblebee(bumblebee)       | X11:/Bumblebee(bumblebee)                 | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Bumblebee/openSUSE_Leap_42.2/                             |         
    12 | download.opensuse.org-non-oss   | Repository principale (NON-OSS)           | Sì        | (r ) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/non-oss/                                        |         
    13 | download.opensuse.org-non-oss_1 | Repository degli aggiornamenti (Non-Oss)  | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/                                                   |         
    14 | download.opensuse.org-oss       | Repository principale (OSS)               | Sì        | (r ) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.2/repo/oss/                                            |         
    15 | download.opensuse.org-oss_1     | Repository principale degli aggiornamenti | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/oss                                                        |         
    16 | google-chrome                   | google-chrome                             | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                      |         
    17 | hardware                        | repositories/hardware(cyanogen)           | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/hardware/openSUSE_Leap_42.2/                                   |         
    18 | home:/AndnoVember:/LXQT(copyq)  | home:/AndnoVember:/LXQT(copyq)            | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/AndnoVember:/LXQT/openSUSE_Leap_42.2/                    |         
    19 | home:/Khyota                    | home:/Khyota (tuxboot)                    | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Khyota/openSUSE_Leap_42.2/                               |         
    20 | home:/adra                      | home:/adra(Qtgain)                        | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/adra/openSUSE_Leap_42.2/                                 |         
    21 | home:/deabru                    | home:/deabru:/KDE(stdin plasmoid)         | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/home:/deabru:/KDE/openSUSE_Leap_42.2/                          |         
    22 | network                         | repositories/network(nextcloud)           | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/network/openSUSE_Leap_42.2/                                    |         
    23 | openSUSE-42.2-0                 | openSUSE-42.2-0                           | No        | ----          | ----          |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GUE1N_KLSG2NG3821                                     |         
    24 | opera                           | Opera packages                            | Sì        | ( p) Sì       | Sì            |   99     | rpm-md | https://rpm.opera.com/rpm                                                                                |         
    25 | ownCloud_webdav                 | ownCloud webdav_(x_eneabox)               | No        | ----          | ----          |   99     | rpm-md | http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/openSUSE_Leap_42.2/                     |         
    26 | publishing                      | repositories/publishing(pdfchain)         | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/Publishing/openSUSE_Leap_42.2/                                 |         
    27 | repo-debug                      | openSUSE-Leap-42.2-Debug                  | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/oss/                                      |         
    28 | repo-debug-non-oss              | openSUSE-Leap-42.2-Debug-Non-Oss          | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.2/repo/non-oss/                                  |         
    29 | repo-debug-update               | openSUSE-Leap-42.2-Update-Debug           | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.2/oss/                                                 |         
    30 | repo-debug-update-non-oss       | openSUSE-Leap-42.2-Update-Debug-Non-Oss   | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.2/non-oss/                                             |         
    31 | repo-source                     | openSUSE-Leap-42.2-Source                 | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/oss/                                     |         
    32 | repo-source-non-oss             | openSUSE-Leap-42.2-Source-Non-Oss         | No        | ----          | ----          |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.2/repo/non-oss/                                 |         
    33 | wolfi_repo_(amor_e_beclock)     | wolfi repo (amor_e_beclock)               | Sì        | (r ) Sì       | Sì            |   90     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_42.2/ |         
    eros@eros3-ST:~>

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,742

    Default Re: application menu "error during charging of file QML: file" and doesn't show anything

    You have both KDE framework and Wolfi repo this may be where you get conflicts. Use one or the other but not both at the same time.

    You have packman twice remove one you have libdvdcss which is only needed one time once installed it is never updated. remove or disable

    Have you found a repo you don't like yet

  5. #5

    Default Re: application menu "error during charging of file QML: file" and doesn't show anything

    Quote Originally Posted by gogalthorp View Post
    You have both KDE framework and Wolfi repo this may be where you get conflicts. Use one or the other but not both at the same time.
    Wrong.
    You do need *both*, and actually KDE:Qt5 as well.

    Quote Originally Posted by pier_andreit View Post
    manythanks , it's my son's laptop, ...installing libappstream4-0.10.5 it works now !!
    updating this conflicts popup:
    #### YaST2 conflicts list - generated 2017-01-14 16:58:47 ####

    kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64 requires libkwineffects.so.9()(64bit), but this requirement cannot be provided
    deleted providers: kwin5-5.8.5-172.1.x86_64
    uninstallable providers: kwin5-5.8.2-1.1.x86_64[download.opensuse.org-oss]
    kwin5-5.8.3-4.1.x86_64[download.opensuse.org-oss_1]
    [ ] Following actions will be done:
    do not install kwin5-5.8.95-174.1.x86_64
    do not install plasma5-session-5.8.95-92.1.noarch
    [ ] deinstallation of kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64

    [ ] break kwin5-fx-beclock-0.0git.1480364215.a1d8050-27.2.x86_64 by ignoring some of its dependencies
    kwin5-fx-beclock doesn't work with kwin 5.9, it even fails to build.
    Sorry.

    You may try to "break" it, but it may just crash (and even cause kwin to crash).
    I don't know, haven't tried.
    But it's definitely safer to uninstall it.

    kwin5-lang-5.8.95-174.1.noarch requires kwin5 = 5.8.95, but this requirement cannot be provided
    uninstallable providers: kwin5-5.8.95-174.1.x86_64[KDE:/Frameworks5]
    [ ] Following actions will be done:
    do not install kwin5-lang-5.8.95-174.1.noarch
    do not install plasma5-session-5.8.95-92.1.noarch
    [ ] install libxkbcommon0-0.7.0-40.1.x86_64 (with vendor change)
    openSUSE --> obs://build.opensuse.org/KDE

    [ ] break kwin5-lang-5.8.95-174.1.noarch by ignoring some of its dependencies
    Choose Option 2, allow the vendor change and switch libxkbcommon to version 0.7.0 fromKDE:Qt5.

    kwin 5.9 requires at least 0.7.0, but 42.2 "only" comes with 0.6.1 which was the latest one at the time.
    Last edited by wolfi323; 14-Jan-2017 at 10:24.

  6. #6

    Default Re: application menu "error during charging of file QML: file" and doesn't show anything

    FYI, I managed to fix the kwin5-fx-beclock build failure with kwin 5.9.
    So you should be able to install it again without a conflict...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •